| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Types | Protected Slots | Protected Member Functions | List of all members
ProtoTree Class Reference
Inheritance diagram for ProtoTree:

## Public Slots
void | setCaptureFile (capture_file *cf)
void | setMonospaceFont (const QFont &mono_font)
void | syncExpanded (const QModelIndex &index)
void | syncCollapsed (const QModelIndex &index)
void | expandSubtrees ()
void | collapseSubtrees ()
void | expandAll ()
void | collapseAll ()
void | itemClicked (const QModelIndex &index)
void | itemDoubleClicked (const QModelIndex &index)
void | selectedFieldChanged (FieldInformation *)
void | selectedFrameChanged (QList< int >)

## Signals
void | fieldSelected (FieldInformation *)
void | openPacketInNewWindow (bool)
void | goToPacket (int)
void | relatedFrame (int, ft_framenum_type_t)
void | showProtocolPreferences (const QString module_name)
void | editProtocolPreference (pref_t *pref, module_t *module)

## Public Member Functions
| ProtoTree (QWidget *parent=0, epan_dissect_t *edt_fixed=0)
QMenu * | colorizeMenu ()
void | setRootNode (proto_node *root_node)
void | emitRelatedFrame (int related_frame, ft_framenum_type_t framenum_type=FT_FRAMENUM_NONE)
void | autoScrollTo (const QModelIndex &index)
void | goToHfid (int hfid)
void | clear ()
void | restoreSelectedField ()
QString | toString (const QModelIndex &start_idx=QModelIndex()) const

## Protected Types
enum | { Name = 0 , Description , Value }

## Protected Slots
void | selectionChanged (const QItemSelection &selected, const QItemSelection &deselected)
void | ctxCopyVisibleItems ()
void | ctxCopyAsFilter ()
void | ctxCopySelectedInfo ()
void | ctxOpenUrlWiki ()

## Protected Member Functions
virtual void | contextMenuEvent (QContextMenuEvent *event)
virtual void | timerEvent (QTimerEvent *event)
virtual void | keyReleaseEvent (QKeyEvent *event)
virtual bool | eventFilter (QObject *obj, QEvent *ev)
virtual QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers)
QString | traverseTree (const QModelIndex &rootNode, int identLevel=0) const

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/proto_tree.h
- /builds/wireshark/wireshark/ui/qt/proto_tree.cpp